// =======================================================================
//  File: EditLabel.aspx.cs
// =======================================================================
//
//  This file is part of the Microsoft Dynamics CRM 3.0 Thin Mobile Client
//  Code Samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =======================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Microsoft.Crm.Sandbox.Mobile
{
    /// <summary>
    /// This page allows the user to edit the label of an attribute
    /// </summary>
    public partial class EditLabel : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // Displays the current label for the attribute
            currentLabel.Value = HttpUtility.HtmlEncode(Request.QueryString["sCurrentLabel"]);   
        }

        // Render out resources from resource file
        protected void RenderResources()
        {
            // Todo: Why can't I change the title of dialogs this way?
            Title = Utils.GetResource("DialogTitle");

            // Render out javascript localized variables
            Response.Write("<script language=\"javascript\">var MUST_SPECIFY_DISPLAY_NAME_WARNING = \"");
            Response.Write(Utils.GetResource("MustSpecifyDisplayNameWarning"));
            Response.Write("\"</script>");

            EditLabelTitle.InnerText = Utils.GetResource("EditLabelTitle");
            EditLabelDescription.InnerText = Utils.GetResource("EditLabelDescription");

            CurrentLabelText.InnerText = Utils.GetResource("CurrentLabelText") + ":";
            NewLabelText.InnerText = Utils.GetResource("NewLabelText") + ":";

            OKButton.InnerText = Utils.GetResource("OKButtonText");
            CancelButton.InnerText = Utils.GetResource("CancelButtonText");
        }       
    }
}
