﻿// =======================================================================
//  File: HomePage.js
// =======================================================================
//
//  This file is part of the Microsoft Dynamics CRM 3.0 Thin Mobile Client
//  Code Samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =======================================================================

// This will contain the schema name of the entity added
var _sAddedEntityName = null;

function BuildHomePageXML()
{    
    var sXml = "<Entities><ExistingEntities>";
    
    var oTable = rtnObjList.firstChild;
    var oRowCount = oTable.rows.length;
    
    for (var i = 0; i < oRowCount; i++)
    {
        sXml += "<Entity name=\"" + oTable.rows[i].name + "\"/>";
    } 
    
    sXml += "</ExistingEntities><AddedEntities>"; 
    
    if (!IsNull(_sAddedEntityName))
    {
        sXml += "<Entity name=\"" + _sAddedEntityName + "\" />"
    }
    
    sXml += "</AddedEntities></Entities>";
    
    return sXml;
}

// Add entity to configuration
function AddEntity()
{
    _sAddedEntityName = window.showModalDialog("/MobileClient/AddEntity.aspx", window, "dialogHeight: 200px; dialogWidth: 400px;help:0;status:0;scroll:0");	
        
    if (!IsNull(_sAddedEntityName))
    {
        Save();
    }
}

// Remove currently selected entity
function RemoveEntity()
{
    if (!IsNull(_oRow))
    {
        var bChoice = window.confirm(REMOVE_ENTITY_WARNING);
   
        if (bChoice)
        {
            var oTable = rtnObjList.firstChild;
            
            rtnObjList.firstChild.deleteRow(_oRow.rowIndex); 
            
            _oRow = null; 
            
            // Save configuration to remove the entity from config XML 
            Save();           
        }       
    }   
    else
    {        
        alert(MUST_SELECT_ENTITY_WARNING);
    }
}

// Open EntityConfigPage for currently selected entity
function EditEntity()
{
    if (!IsNull(_oRow))
    {
        window.open("EntityConfig.aspx?sEntityName=" + _oRow.name, "EntityConfigForm", "width=700px, height=625px"); 
    }
    else
    {
        alert(MUST_SELECT_ENTITY_WARNING);
    }
}

// Handles key down presses on selected row
function HandleKeyDown()
{    
    var iKeyPressed = event.keyCode;
    
    switch (iKeyPressed)
    {
		case ENTER_KEY:
			EditEntity();
			break;
		case DELETE_KEY:
			RemoveEntity();
			break;
		case UP_KEY:   
            
            if (_oRow.rowIndex != 0)
			{
				if (!IsNull(_oRow))
				{
					_oRow.cells[0].className = "grid sel";
					_oRow.cells[1].className = "grid sel"; 
					_oRow.selected = 0;
				}

				var oRow = _oRow.previousSibling;

				oRow.cells[0].className = "grid currSel";
				oRow.cells[1].className = "grid currSel"; 

				oRow.selected = 1;

				_oRow = oRow;		 

				_oRow.scrollIntoView(true);  	        
			}	
			 
			break;
		case DOWN_KEY:
		
			var oList  = document.getElementById(GetListName());
			var oTable = oList.firstChild;
	        
			if (_oRow.rowIndex < oTable.rows.length - 1)
			{                            	           
				if (!IsNull(_oRow))
				{
					_oRow.cells[0].className = "grid sel";
					_oRow.cells[1].className = "grid sel"; 
					_oRow.selected = 0;
				}
	            
				var oRow = _oRow.nextSibling;

				oRow.cells[0].className = "grid currSel";
				oRow.cells[1].className = "grid currSel"; 

				oRow.selected = 1;

				_oRow = oRow;
	            
				_oRow.scrollIntoView(false);  	                
			}  
			
			break;
		default:
			break;
	} 
    
}