// =======================================================================
//  File: BoldLabel.cs
// =======================================================================
//
//  This file is part of the Microsoft Dynamics CRM 3.0 Thin Mobile Client
//  Code Samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =======================================================================

using System;
using System.Data;
using System.Drawing;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

//namespace Microsoft.Crm.Sandbox.Mobile
//{
    /// <summary>
    /// This control writes out a standard bold tag as a label (instead of using the asp label which applies
    /// a style only)
    /// </summary>
    public class BoldLabel : Control
    {
        private string _text;
        private Color _foreColor;

        /// <summary>
        /// Text displayed in the bold tag
        /// </summary>
        public string Text
        {
            get
            {
                return _text;
            }
            set
            {
                _text = value;
            }
        }

        /// <summary>
        /// Color of the text displayed
        /// </summary>
        public Color ForeColor
        {
            get
            {
                return _foreColor;
            }
            set
            {
                _foreColor = value;
            }
        }
                
        public BoldLabel()
        {
            // Default color to black
            this.ForeColor = Color.Black;
        }

        protected override void Render(HtmlTextWriter writer)
        {
            writer.Write("<b class=\"label\"><font color=\"{0}\">{1}</font></b>", this.ForeColor.ToKnownColor().ToString(), this.Text);
        }
    }
//}