// =======================================================================
//  File: filterexpressionhelpercollection.cs
// =======================================================================
//
//  This file is part of the Microsoft Dynamics CRM 3.0 Thin Mobile Client
//  Code Samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =======================================================================


using System;
using Microsoft.Crm.Sandbox.Mobile.CrmServiceSdk;
using Microsoft.Crm.Sandbox.Mobile.Helpers;

namespace Microsoft.Crm.Sandbox.Mobile.Helpers.Collection
{
	public class FilterExpressionHelperCollection : System.Collections.CollectionBase
	{
		#region Properties

		/// <summary>
		/// Provides access to the underlying collection of FilterExpressionHelpers
		/// </summary>
		public FilterExpressionHelper this[int index]
		{
			get
			{
				return (FilterExpressionHelper)List[index];
			}
		}

		#endregion

		#region Methods

		/// <summary>
		/// Used to add a child filter to the current/parent filter
		/// </summary>
		/// <param name="childFilter">A FilterExpressionHelper object that will be added as a child filter to the main filter</param>
		public void AddFilter(FilterExpressionHelper childFilter)
		{
			List.Add(childFilter);
		}

		#endregion
	}
}
