<%@ Application Language="C#" %>
<%@ Import Namespace="System.Web.Security" %>
<%@ Import Namespace="System.Security.Principal" %>
<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        // Code that runs on application startup

    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
    
    /// <summary>
    /// This method runs code for unhandled errors.
	/// It will build the custom error html.
    /// </summary>
    void Application_Error(object sender, EventArgs e) 
    { 
		// At this point we have information about the error
		HttpContext ctx = HttpContext.Current;

		Exception exception = ctx.Server.GetLastError();

		ctx.Response.Write("<html>");

		//Write out the style sheet link
		ctx.Response.Write("<link rel=\"stylesheet\" type=\"text/css\" href=\"MobileApplication.css\" />");

		//Write out the html body
		ctx.Response.Write("<body class=\"main\">");
		
		//Write out the generic error label
		ctx.Response.Write("<div class=\"error\"><b>An Error has Occured</b></div>");
		
		ctx.Response.Write("<hr />");
		
		//If there is a refering url then output the link
		if(ctx.Request.UrlReferrer != null)
		{
			ctx.Response.Write("<a href=\"");
			ctx.Response.Write(ctx.Request.UrlReferrer);
			ctx.Response.Write("\">Go Back</a>");
		
			ctx.Response.Write("&nbsp;");
		}
		
		//If the current url is detected, output a  link to try again
		if(ctx.Request.Url != null)
		{
			ctx.Response.Write("<a href=\"");
			ctx.Response.Write(ctx.Request.Url);
			ctx.Response.Write("\">Try Again</a>");
		}
		
		//If there is a valid exception, then output the exception message
		if(exception != null)
		{
			string errorInfo = "<br /><b>Message:</b> " + exception.Message
								+ "<br><b>Stack trace:</b> " + exception.StackTrace;

			ctx.Response.Write(errorInfo);

			
		}

		ctx.Response.Write("</body>");
		
		ctx.Response.Write("</html>");
		
		// To let the page finish running we clear the error
		ctx.Server.ClearError();
    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }

    void Application_AuthenticateRequest(object sender, EventArgs e)
    {
       
    }
       
</script>
